Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jepexamples.diagnostics
Class ExamineResultTypes

    java.lang.Object
      com.singularsys.jepexamples.diagnostics.ExamineResultTypes

    public class ExamineResultTypes

extends java.lang.Object

Class to examine the results types of the various operators and function.

Author:
  Richard Morris

Nested Class Summary
`static class` | `ExamineResultTypes.BooleanTypeCreator`
`static class` | `ExamineResultTypes.ComplexTypeCreator`
`static class` | `ExamineResultTypes.DoubleTypeCreator`
`static class` | `ExamineResultTypes.FloatTypeCreator`
`static class` | `ExamineResultTypes.InfityDoubleTypeCreator`
`static class` | `ExamineResultTypes.IntegerTypeCreator`
`static class` | `ExamineResultTypes.LongTypeCreator`
`static class` | `ExamineResultTypes.NaNDoubleTypeCreator`
`static class` | `ExamineResultTypes.NegativeDoubleTypeCreator`
`static class` | `ExamineResultTypes.NullTypeCreator`
`static class` | `ExamineResultTypes.ShortTypeCreator`
`static class` | `ExamineResultTypes.StringTypeCreator`
`static class` | `ExamineResultTypes.TypeCreator`
`static class` | `ExamineResultTypes.VectorTypeCreator`
`static class` | `ExamineResultTypes.ZeroDoubleTypeCreator`

Constructor Summary
`ExamineResultTypes()`
`ExamineResultTypes(Jep jep, ExamineResultTypes.TypeCreator[] types)`

Method Summary
`void` | `examineTypes(java.lang.String name, PostfixMathCommandI pfmc)` Tests return types for a specific PostfixMathCommandI will test for 0,1,2 and 3 parameters
`void` | `examineTypes(java.lang.String name, PostfixMathCommandI pfmc, int n)` Tests return types for a specific PostfixMathCommandI with a specific number of parameters
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExamineResultTypes

    public ExamineResultTypes()

### ExamineResultTypes

    public ExamineResultTypes(Jep jep,
                              ExamineResultTypes.TypeCreator[] types)

Parameters:
  `jep` -
  `types` -

Method Detail

### examineTypes

    public void examineTypes(java.lang.String name,
                             PostfixMathCommandI pfmc)

  Tests return types for a specific PostfixMathCommandI will test for 0,1,2 and 3 parameters

### examineTypes

    public void examineTypes(java.lang.String name,
                             PostfixMathCommandI pfmc,
                             int n)

  Tests return types for a specific PostfixMathCommandI with a specific number of parameters

### main

    public static void main(java.lang.String[] args)

  Parameters:
    `args` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep